aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketObjectVersions

# Documentation

data GetBucketObjectVersions #

Constructors

GetBucketObjectVersions |

Fields

- gbovBucket :: Bucket
- gbovDelimiter :: Maybe Text
- gbovKeyMarker :: Maybe Text
- gbovMaxKeys :: Maybe Int
- gbovPrefix :: Maybe Text
- gbovVersionIdMarker :: Maybe Text

#### Instances

Instances details

SignQuery GetBucketObjectVersions # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ServiceConfiguration GetBucketObjectVersions |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration

Methods

signQuery :: GetBucketObjectVersions -> ServiceConfiguration GetBucketObjectVersions queryType -> SignatureData -> SignedQuery #

Show GetBucketObjectVersions # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods showsPrec :: Int -> GetBucketObjectVersions -> ShowS # show :: GetBucketObjectVersions -> String # showList :: [GetBucketObjectVersions] -> ShowS #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions #
Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
type ServiceConfiguration GetBucketObjectVersions # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration

getBucketObjectVersions :: Bucket -> GetBucketObjectVersions #

data GetBucketObjectVersionsResponse #

Constructors

GetBucketObjectVersionsResponse |

Fields

- gbovrName :: Bucket
- gbovrDelimiter :: Maybe Text
- gbovrKeyMarker :: Maybe Text
- gbovrMaxKeys :: Maybe Int
- gbovrPrefix :: Maybe Text
- gbovrVersionIdMarker :: Maybe Text
- gbovrContents :: [ObjectVersionInfo]
- gbovrCommonPrefixes :: [Text]
- gbovrIsTruncated :: Bool
- gbovrNextKeyMarker :: Maybe Text
- gbovrNextVersionIdMarker :: Maybe Text

#### Instances

Instances details

AsMemoryResponse GetBucketObjectVersionsResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type MemoryResponse GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse

Methods

loadToMemory :: GetBucketObjectVersionsResponse -> ResourceT IO (MemoryResponse GetBucketObjectVersionsResponse) #

Show GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods showsPrec :: Int -> GetBucketObjectVersionsResponse -> ShowS # show :: GetBucketObjectVersionsResponse -> String # showList :: [GetBucketObjectVersionsResponse] -> ShowS #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions #
ListResponse GetBucketObjectVersionsResponse ObjectVersionInfo # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods listResponse :: GetBucketObjectVersionsResponse -> [ObjectVersionInfo] #
ResponseConsumer r GetBucketObjectVersionsResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ResponseMetadata GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketObjectVersionsResponse) -> HTTPResponseConsumer GetBucketObjectVersionsResponse #

Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
type MemoryResponse GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse
type ResponseMetadata GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata